Subject: bug#45162: [PATCH] Fixup Re: bug#45162: 28.0.50; Messages scrambled by socks-filter

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 07 Jan 2021 13:44:59 +0100

"J.P." <[email-masked]> writes:

> In a boneheaded oversight, I neglected to reset the "scratch" work area
> after functions performing the SOCKS5 authentication subprotocol are
> through with it.
>
> This is a one-line follow-up that hopefully corrects that. Please see
> the included test, which passes after this tweak is applied.

Thanks; I've now applied the fix to Emacs 28, but not the test (because
the amount of code would require a copyright assignment).

I forgot whether I've asked before -- would you be willing to sign such
paperwork?  If so, reworking that test into an ert-deftest would be
nice.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no